CalryOTA Docs
Integration Account

Get integration accounts

Retrieves all integration accounts for the workspace with optional filtering by provider

GET
/api/v1/integration-account

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Query Parameters

provider?string

Filter by integration provider

Value in"AVANTIO" | "BOOKINGSYNC" | "BOOM" | "CIIRUS" | "ELINA" | "GUESTY" | "HOSTAWAY" | "HOSTFULLY" | "HOSTIFY" | "INTERHOME" | "LODGIFY" | "OWNERREZ" | "HOSTHUB" | "UPLISTING" | "BEDS24" | "HOST_TOOLS" | "HOSTFULLYSANDBOX" | "HOSPITABLE" | "TOKEET" | "MR_ALFRED"

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to integration accounts. If not provided, the default tenant will be used.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/integration-account"
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "My Hostaway Account",
    "workspaceID": "123e4567-e89b-12d3-a456-426614174000",
    "tenantID": "123e4567-e89b-12d3-a456-426614174000",
    "provider": "HOSTAWAY",
    "providerAccountID": "provider-account-12345",
    "accountIdentifier": "hostaway-12345",
    "authType": "OAUTH",
    "defaultDiscountPercentage": 10,
    "markupPercentage": 5,
    "createdAt": "2025-01-01T00:00:00.000Z",
    "updatedAt": "2025-01-02T00:00:00.000Z",
    "status": "ACTIVE",
    "webhooksSubscribed": true,
    "distributionMarkupPercentage": 10,
    "allowImport": true,
    "tags": [
      {
        "id": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "name": "string",
        "description": "string",
        "workspaceID": "string",
        "listingIds": [
          [
            "string"
          ]
        ]
      }
    ],
    "alertsMuted": false
  }
]
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Bad Request",
  "details": []
}